/*------------------------------------------------------------------------
    File        : tabletags.i
    Description : Set All Tags related to a table
    Author(s)   : Thomas Mercer-Hursh
    Created     : Mon Dec 31 12:13:09 PST 2007
    Notes       : _File buffer is in lbfFile
                  Separated as an include for visibility
  ----------------------------------------------------------------------*/

run spCreateObjectTag (
    input  linObjectID, 
    input  "TableCanCreate",
    input  lbfFile._Can-Create,
    output linObjectPropertyID
    ).
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableCanDelete",
    input  lbfFile._Can-Delete,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableCanDumpe",
    input  lbfFile._Can-Dump,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableCanLoad",
    input  lbfFile._Can-Load,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableCanRead",
    input  lbfFile._Can-Read,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableCanWrite",
    input  lbfFile._Can-Write,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableCreator",
    input  lbfFile._Creator,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableOrigin",
    input  lbfFile._DB-Lang,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "DefaultPrimaryKey",
    input  lbfFile._Dft-Pk,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableDumpName",
    input  lbfFile._Dump-Name,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableLabel",
    input  lbfFile._File-Label,
    output linObjectPropertyID
    ).
run spCreateObjectTag (
    input  linObjectID, 
    input  "TableLabelStringAttr",
    input  lbfFile._File-Label-SA,
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "Frozen",
    input  string(lbfFile._Frozen),
    output linObjectPropertyID
    ).    
run spCreateObjectTag (
    input  linObjectID, 
    input  "Hidden",
    input  string(lbfFile._Hidden),
    output linObjectPropertyID
    ).
do for lbfIndex:
  find lbfIndex no-lock
      where recid(lbfIndex) eq lbfFile._Prime-Index
      no-error.
  if available(lbfIndex)
  then do:
    run spCreateObjectTag (
        input  linObjectID, 
        input  "PrimaryIndex",
        input  lbfIndex._Index-Name,
        output linObjectPropertyID
        ).
  end.
end.
run spCreateObjectTag (
    input  linObjectID, 
    input  "Owner",
    input  lbfFile._Owner,
    output linObjectPropertyID
    ).
run spCreateObjectTag (
    input  linObjectID, 
    input  "DeleteValExp",
    input  lbfFile._Valexp,
    output linObjectPropertyID
    ).
run spCreateObjectTag (
    input  linObjectID, 
    input  "DeleteValMsg",
    input  lbfFile._Valmsg,
    output linObjectPropertyID
    ).
run spCreateObjectTag (
    input  linObjectID, 
    input  "DeleteValMsgStringAttr",
    input  lbfFile._Valmsg-SA,
    output linObjectPropertyID
    ).
do for lbfStorageObject, lbfArea:
  find lbfStorageObject no-lock
      where lbfStorageObject._DB-Recid eq lriDB
      and   lbfStorageObject._Object-Type eq 1
      and   lbfStorageObject._Object-Number eq lbfFile._File-num
      no-error.
  if available( lbfStorageObject )
  then do:
    find lbfArea no-lock
        where lbfARea._Area-Number eq lbfStorageObject._Area-Number
        no-error.
    if available( lbfArea )
    then do:
      run spCreateObjectTag (
           input  linObjectID, 
           input  "AreaName",
           input  lbfArea._Area-Name,
           output linObjectPropertyID
           ).
    end.
  end.
end.