/*------------------------------------------------------------------------------
    File        : customsp.p
    Description : Super procedure for site-specific additions
    Author(s)   : Thomas Mercer-Hursh
    Created     : Thu Jan 17 10:22:07 PST 2008
    Notes       : Use this procedure to add site-specific code.
    
NOTE: NO DEFAULT VERSION
THIS IS A SHELL - EDIT OR REPLACE

For simplicity, retain all procedure definitions as provided so that these
can be run by standard code at appropriate places without modification.
If the particular element does not apply, just delete the contents of the 
procedure so that it becomes a no-op, but leave the shell intact.
  ----------------------------------------------------------------------------*/
using com.cintegrity.Lib.Exception.*.
/* ***************************  Definitions  ******************************** */
                                                                   /* Classes */
define variable lobExceptionStack as class SimpleExceptionStack no-undo.
                              /* Select one option according to the target OS */
define variable lchNewLine as character no-undo.
/*
lchNewLine = chr(10).                                             /* For Unix */
*/
lchNewLine = chr(13) + chr(10).                                /* For Windows */
                                                       

/* *****************************  Functions ********************************* */
function sfCompileName returns character ( 
    input ipchProgramName as character ) 
    in super. 
/* ***************************  Main Block  ********************************* */
              /* Do anything here to read custom data, else leave empty */
procedure spInitializeCustom:
  

end procedure.
/* *********************** Procedures *************************************** */
                                                     /* Get Package for Table */
procedure spGetTablePackage:
  define input parameter ipchTableName as character no-undo.
  define output parameter opchPackageName as character no-undo.

end procedure.
/* -------------------------------------------------------------------------- */
                                                   /* Get custom Package Note */
                                                      /* Return "" by default */                                                 
procedure spGetPackageNote:
  define input  parameter ipchPackageName as character  no-undo.
  define output parameter opchPackageNote as character  no-undo.
                                      /* Return custom note or blank */
end procedure.
/* -------------------------------------------------------------------------- */
                                                   /* Get custom Program Note */
                                                      /* Return "" by default */
procedure spGetProgramNotes:
  define input  parameter ipchProgramName as character  no-undo.
  define output parameter opchProgramNote as character  no-undo.
  
end procedure.
/* -------------------------------------------------------------------------- */
                                                  /* Get custom Program Alias */
                                                      /* Return "" by default */
procedure spGetProgramAlias:
  define input  parameter ipchProgramName as character  no-undo.
  define output parameter opchProgramAlias as character  no-undo.
  
 end procedure.
/* -------------------------------------------------------------------------- */
                                                   /* Get custom Program Path */
                                                      /* Return "" by default */                                                 
procedure spGetProgramPath:
  define input  parameter ipchProgramName as character  no-undo.
  define output parameter opchProgramPath as character  no-undo.
                                       /* Return full path name note or blank */
  opchProgramPath = search( ipchProgramName ).
  if opchProgramPath eq ?
  then opchProgramPath = "".

end procedure.
/* -------------------------------------------------------------------------- */
                               /* Additions to model after code base is built */
procedure spCustomAdditions:

end procedure.
/* ************************************************************************** */
                                                                 /* Clean up */
procedure spCustomDestruct:
  delete object lobExceptionStack.
  lobExceptionStack = ?.

end procedure.
/* ************************  Helper Procedures ****************************** */

/************************** End of Program ************************************/